--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos 
			(Type, 							DamageStates,	Formation)
SELECT		('ART_DEF_UNIT_VP_KALLARANI'), 	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE (Type = 'ART_DEF_UNIT_CARAVEL');

INSERT INTO ArtDefine_UnitInfos 
			(Type, 							DamageStates,	Formation)
SELECT		('ART_DEF_UNIT_VP_THIRISADAI'), DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE (Type = 'ART_DEF_UNIT_CARAVEL');
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,					UnitMemberInfoType,						NumMembers)
SELECT		('ART_DEF_UNIT_VP_KALLARANI'), 	('ART_DEF_UNIT_MEMBER_VP_KALLARANI'), 	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_CARAVEL');

INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,					UnitMemberInfoType,						NumMembers)
SELECT		('ART_DEF_UNIT_VP_THIRISADAI'), ('ART_DEF_UNIT_MEMBER_VP_THIRISADAI'), 	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_CARAVEL');
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		('ART_DEF_UNIT_MEMBER_VP_KALLARANI'),	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_CARAVEL');

INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		('ART_DEF_UNIT_MEMBER_VP_THIRISADAI'),	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_CARAVEL');
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_VP_KALLARANI'),	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_CARAVEL');

INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_VP_THIRISADAI'),	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_CARAVEL');
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
			(Type, 									Scale, ZOffset, Domain, Model, 					MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_VP_KALLARANI'),	Scale, ZOffset, Domain, ('kadatpadai.fxsxml'),	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_CARAVEL');

INSERT INTO ArtDefine_UnitMemberInfos 	
			(Type, 									Scale, ZOffset, Domain, Model, 						MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_VP_THIRISADAI'),	Scale, ZOffset, Domain, ('thalaithirvai.fxsxml'),	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_CARAVEL');
------------------------------
-- ArtDefine_LandmarkTypes
------------------------------
INSERT INTO ArtDefine_LandmarkTypes
			(Type, 										LandmarkType, 	FriendlyName)
VALUES 		('ART_DEF_IMPROVEMENT_CHOLA_KOVIL_KULAM', 	'Improvement', 	'CHOLA_KOVIL_KULAM');
------------------------------
-- ArtDefine_Landmarks
------------------------------
INSERT INTO ArtDefine_Landmarks
			(Era, 	State, 					Scale, 		ImprovementType, 							LayoutHandler, 	ResourceType, 			Model, 					TerrainContour)
VALUES 		('Any', 'UnderConstruction', 	0.15,		'ART_DEF_IMPROVEMENT_CHOLA_KOVIL_KULAM', 	'SNAPSHOT', 	'ART_DEF_RESOURCE_ALL', 'champawell_hb.fxsxml',	1),
			('Any', 'Constructed', 			0.15,		'ART_DEF_IMPROVEMENT_CHOLA_KOVIL_KULAM', 	'SNAPSHOT', 	'ART_DEF_RESOURCE_ALL', 'champawell.fxsxml',	1),
			('Any', 'Pillaged', 			0.15,		'ART_DEF_IMPROVEMENT_CHOLA_KOVIL_KULAM', 	'SNAPSHOT', 	'ART_DEF_RESOURCE_ALL', 'champawell_pl.fxsxml',	1);
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT OR REPLACE INTO ArtDefine_StrategicView 
			(StrategicViewType, 			TileType,	Asset)
SELECT		('ART_DEF_UNIT_VP_KALLARANI'), 	TileType, 	('sv_kadatpadai.dds')
FROM ArtDefine_StrategicView WHERE (StrategicViewType = 'ART_DEF_UNIT_CARAVEL');

INSERT OR REPLACE INTO ArtDefine_StrategicView 
			(StrategicViewType, 			TileType,	Asset)
SELECT		('ART_DEF_UNIT_VP_THIRISADAI'), TileType, 	('sv_thalai.dds')
FROM ArtDefine_StrategicView WHERE (StrategicViewType = 'ART_DEF_UNIT_CARAVEL');

INSERT INTO ArtDefine_StrategicView
			(StrategicViewType, 						TileType, 		Asset)
VALUES 		('ART_DEF_IMPROVEMENT_CHOLA_KOVIL_KULAM', 	'Improvement', 	'sv_Square_Well.dds');
--==========================================================================================================================
-- AUDIO
--==========================================================================================================================	
--------------------------------------------------------------------------------------------------------------------------
-- Audio_Sounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_Sounds 
		(SoundID, 								Filename, 								LoadType)
VALUES	('SND_DOM_SPEECH_VP_RAJENDRA', 			'RajendraDOM',							'DynamicResident'),
		('SND_LEADER_MUSIC_VP_RAJENDRA_PEACE',	'VP_CholaPeace_ThillaiVaazhAndhanar',	'DynamicResident'),
		('SND_LEADER_MUSIC_VP_RAJENDRA_WAR', 	'VP_CholaWar_Gauranga', 				'DynamicResident');		
--------------------------------------------------------------------------------------------------------------------------
-- Audio_2DSounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_2DSounds	
		(ScriptID, 								SoundID, 								SoundType, 		MinVolume, 	MaxVolume,  IsMusic, Looping)
VALUES	('AS2D_DOM_SPEECH_VP_RAJENDRA', 		'SND_DOM_SPEECH_VP_RAJENDRA',			'GAME_SPEECH', 	100, 		100, 		1, 		 0),
		('AS2D_LEADER_MUSIC_VP_RAJENDRA_PEACE',	'SND_LEADER_MUSIC_VP_RAJENDRA_PEACE', 	'GAME_MUSIC', 	70, 		70, 		1, 		 0),
		('AS2D_LEADER_MUSIC_VP_RAJENDRA_WAR', 	'SND_LEADER_MUSIC_VP_RAJENDRA_WAR', 	'GAME_MUSIC', 	45, 		45, 		1,		 0);
--==========================================================================================================================
-- COLOURS
--==========================================================================================================================	
--------------------------------------------------------------------------------------------------------------------------
-- Colors
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Colors 
		(Type, 									Red, 	Green, 	Blue, 	Alpha)
VALUES	('COLOR_PLAYER_VP_CHOLA_ICON', 			0.980,	0.294,	0.024,	1),
		('COLOR_PLAYER_VP_CHOLA_BACKGROUND',	0.000,	0.196,	0.318,	1);
--------------------------------------------------------------------------------------------------------------------------
-- PlayerColors
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO PlayerColors 
		(Type, 						PrimaryColor, 					SecondaryColor, 					TextColor)
VALUES	('PLAYERCOLOR_VP_CHOLA',	'COLOR_PLAYER_VP_CHOLA_ICON',	'COLOR_PLAYER_VP_CHOLA_BACKGROUND', 'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================
-- ICON ATLASES
--==========================================================================================================================	
--------------------------------------------------------------------------------------------------------------------------
-- IconTextureAtlases
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 							IconSize, 	Filename, 				IconsPerRow, 	IconsPerColumn)
VALUES	('VP_CHOLA_ALPHA_ATLAS', 			128, 		'CholaAlpha_128.dds',	1, 				1),
		('VP_CHOLA_ALPHA_ATLAS', 			80, 		'CholaAlpha_80.dds',	1, 				1),
		('VP_CHOLA_ALPHA_ATLAS', 			64, 		'CholaAlpha_64.dds',	1, 				1),
		('VP_CHOLA_ALPHA_ATLAS', 			48, 		'CholaAlpha_48.dds',	1, 				1),
		('VP_CHOLA_ALPHA_ATLAS', 			45, 		'CholaAlpha_45.dds',	1, 				1),
		('VP_CHOLA_ALPHA_ATLAS', 			32, 		'CholaAlpha_32.dds',	1, 				1),
		('VP_CHOLA_ALPHA_ATLAS', 			24, 		'CholaAlpha_24.dds',	1, 				1),
		('VP_CHOLA_ALPHA_ATLAS', 			16, 		'CholaAlpha_16.dds',	1, 				1),
		('VP_CHOLA_ICON_ATLAS', 			256, 		'CholaAtlas256.dds',	3, 				2),
		('VP_CHOLA_ICON_ATLAS', 			128, 		'CholaAtlas128.dds',	3, 				2),
		('VP_CHOLA_ICON_ATLAS', 			80, 		'CholaAtlas080.dds',	3, 				2),
		('VP_CHOLA_ICON_ATLAS', 			64, 		'CholaAtlas064.dds',	3, 				2),
		('VP_CHOLA_ICON_ATLAS', 			45, 		'CholaAtlas045.dds',	3, 				2),
		('VP_CHOLA_ICON_ATLAS', 			32, 		'CholaAtlas032.dds',	3, 				2),
		('VP_CHOLA_BUILD_ATLAS', 			64, 		'Champa_Build_64.dds',	1, 				1),
		('VP_CHOLA_BUILD_ATLAS', 			45, 		'Champa_Build_45.dds',	1, 				1),
		('VP_CHOLA_THIRISIDAI_FLAG_ATLAS',	32, 		'flag_thalai.dds',		1, 				1),
		('VP_CHOLA_KALLARANI_FLAG_ATLAS',	32, 		'flag_kadatpadai.dds',	1, 				1);
--==========================================================================================================================	
--==========================================================================================================================	